Permalink
Browse files

Gem version 1.3.2.

  • Loading branch information...
1 parent 51e28df commit 9efc9e9463b2f1ff5c62477d9100079a61b3f6e4 @gmallard gmallard committed Dec 8, 2013
Showing with 28 additions and 9 deletions.
  1. +15 −0 CHANGELOG.rdoc
  2. +1 −0 README.rdoc
  3. +1 −1 lib/stomp/version.rb
  4. +11 −8 stomp.gemspec
View
@@ -1,3 +1,18 @@
+== 1.3.2 20131208
+
+* Anon tests assigned unique class name.
+* Fix TypeError on connect timeout with 1.8.x, 2.x.
+* Complete revert to previous logger logic.
+* start_timeout and tcp_nodelay parameters
+* SSL Fix, revert not setting default ciphers.
+* Copy hash params at init.
+* Fix ssl => true for Ruby 1.9.x and 2.x.
+* Expanded list of STOMP default SSL ciphers:
+* Do not change caller's :hosts array
+* Issue #78, again.
+* Clean up logger interfacing.
+* Fixes from RSpec testing
+
== 1.3.1 20131002
* Method calls to the logger object should check for that method first (#83)
View
@@ -12,6 +12,7 @@ An implementation of the Stomp protocol for Ruby. See:
See _CHANGELOG.rdoc_ for details.
+* Gem version 1.3.2. Miscellaneous fixes, see changelog for details.
* Gem version 1.3.1. Bugfix for logging.
* Gem version 1.3.0. Added ERROR frame raising as exception, added anonymous connections, miscellaneous other fixes.
* Gem version 1.2.16. Fixed Stomp::Client to expose its connection's host parameters.
@@ -6,7 +6,7 @@ module Stomp
module Version #:nodoc: all
MAJOR = 1
MINOR = 3
- PATCH = 1
+ PATCH = 2
STRING = "#{MAJOR}.#{MINOR}.#{PATCH}"
end
end
View
@@ -4,13 +4,13 @@
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
- s.name = "stomp"
- s.version = "1.3.1"
+ s.name = %q{stomp}
+ s.version = "1.3.2"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Brian McCallister", "Marius Mathiesen", "Thiago Morello", "Guy M. Allard"]
- s.date = "2013-10-02"
- s.description = "Ruby client for the Stomp messaging protocol. Note that this gem is no longer supported on rubyforge."
+ s.date = %q{2013-12-08}
+ s.description = %q{Ruby client for the Stomp messaging protocol. Note that this gem is no longer supported on rubyforge.}
s.email = ["brianm@apache.org", "marius@stones.com", "morellon@gmail.com", "allard.guy.m@gmail.com"]
s.executables = ["catstomp", "stompcat"]
s.extra_rdoc_files = [
@@ -23,6 +23,7 @@ Gem::Specification.new do |s|
"examples/conn11_ex2.rb",
"examples/conn11_hb1.rb",
"examples/consumer.rb",
+ "examples/examplogger.rb",
"examples/get11conn_ex1.rb",
"examples/get11conn_ex2.rb",
"examples/logexamp.rb",
@@ -83,6 +84,7 @@ Gem::Specification.new do |s|
"examples/conn11_ex2.rb",
"examples/conn11_hb1.rb",
"examples/consumer.rb",
+ "examples/examplogger.rb",
"examples/get11conn_ex1.rb",
"examples/get11conn_ex2.rb",
"examples/logexamp.rb",
@@ -137,14 +139,15 @@ Gem::Specification.new do |s|
"test/test_urlogin.rb",
"test/tlogger.rb"
]
- s.homepage = "https://github.com/stompgem/stomp"
+ s.homepage = %q{https://github.com/stompgem/stomp}
s.licenses = ["Apache 2.0"]
s.require_paths = ["lib"]
- s.rubygems_version = "2.0.5"
- s.summary = "Ruby client for the Stomp messaging protocol"
+ s.rubygems_version = %q{1.3.7}
+ s.summary = %q{Ruby client for the Stomp messaging protocol}
if s.respond_to? :specification_version then
- s.specification_version = 4
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_development_dependency(%q<rspec>, [">= 2.3"])

0 comments on commit 9efc9e9

Please sign in to comment.